Bug 37904 - New Port: database/isql-viewer (a JDBC 2.x compliant database front end)
New Port: database/isql-viewer (a JDBC 2.x compliant database front end)
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Thierry Thomas
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-09 21:50 UTC by stefan.schmidt
Modified: 2005-06-23 21:42 UTC (History)
0 users

See Also:


Attachments
file.shar (3.48 KB, text/plain)
2002-05-09 21:50 UTC, stefan.schmidt
no flags Details
isql-viewer.tar.gz (1.40 KB, application/octet-stream)
2005-06-19 22:57 UTC, Thierry Thomas
no flags Details
isql-viewer.diff (1.69 KB, patch)
2005-06-19 22:57 UTC, Thierry Thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description stefan.schmidt 2002-05-09 21:50:01 UTC
SQL-Viewer is an open-source JDBC 2.x compliant database front end written
in the Java programming language. It is designed to exploit the features of
the JDBC API across the multiple platforms that adhere to it. It does it all
through a single interface.

iSQL-Viewer works with some of the most popular database platforms available
including PostgreSQL, MySQL, Oracle, and Informix.

iSQL-Viewer also provides a variety of tools to carry out a variety of
common database tasks. It includes a friendly SQL console for executing SQL
statements, batch processing, table creation, database introspection, and
finally, import and export to popular file formats such as Microsoft Excel,
XML, HTML,and ASCII delimited.

This program is designed to meet the needs of JDBC Driver developers as well
as database developers who work in single or multi-platform environments.

WWW: http://isql.sourceforge.net/
Comment 1 znerd freebsd_committer 2002-05-10 10:19:26 UTC
Responsible Changed
From-To: freebsd-ports->znerd

I'll handle this.
Comment 2 stefan.schmidt 2002-10-19 22:28:37 UTC
Hi there,

here's an updated version (isql-viewer 2.1.1, now depending 
on jdk-1.3 and jdom).

stefan

begin 644 isql-viewer.tar.bz2 
M'XL(`/#+L3T``^U9>T_;2!#GW^RGF!-$O=.%Q':<H**F:B"F=2\/+@Z%DTZ* 
M%GN3;+&].>^&@"#?_68=`H:C34\"JNMY$/BQL_/\S7IGX?*O</N<LSE+*AO/ 
M1(9A&SNU&EY3>GA=WB.#7;5K=;N^89B6N6-M0.VY#,K23"J:`&PD0JBO\<TG 
MC(4O8=#+$L_D?\1#)I\!!?\F_U;=POQ7K7H]S_]+T#_SS[W?V]N?TC=E.7D* 
M'89I&'7;_F+^TYPO\V\;5<2)6:O7JQM@/(7R=?0_S__F3Y53'E?DA!!VP7PH 
M%C\V/S6''WH=IUA,AS[3<PI_$D#:/CG%*/DAE7)*U:1"=XO%P[YSX)X@KYS0
MA*7<E90#H>0G/)(B+G_&"-](T+=?GY3!WS9R]OJ#3T[?<WO=8E$+(M\[8C\6 
M9>M_>C;>#ICTDR?6L:;^S;JQLZQ_:\<VJ[9>_W?T^I_7__-3IMJ`2Z`QB"F+ 
MMZ68)3Z#CZV]?;#*%^"+:!IR&BL(J**G5#(8)0(?61S`/.%*L9CP&-0$)^D% 
M8YJ(<4*CB,=C"&D\GM$Q*X.KM!+$&!_'+``E@%U,0\%5.G'$J)HE3((8D520 
MUMX\=('ZB9`RY8EFH>+3D,$TI&HDDDB_I@IH,&$)TQ*Y2O4$`@6A8!J&*"P1 
ML_$$*$BT!R?S6+%D1'U6)B0;@;E(SB3,N9J`%!%#0Y9*A50P%=-9B%"Y#<"= 
M!>@P#^EIR#`$?C@+M-.'.&><,!1>@LYE>NDEU`]9"8,<@!OKJ?SB@0$TE$+' 
M[IQCD-#><YIPIBY30X0(I7;0ITF";V;JWCC!%$4BOC-/47DFER%/C4KEC9`] 
M#L)+0)V8U%@*C`9:`GKQGREM.(X0K`G%(A8K68)3JOR)MLEG4H>OA)+15?`3 
M3!<7<>E.)885$S5E_O(]^DE&/,8,7):`1U.1J-1WS+F^15=6,=4[#VU&1)4$ 
M.4-]5$*'Z[2+D0+GPF=AB9QT,(@?!OA72VEZ^ZZ+6`IYQ!4+,)"#"8+K!G@/ 
M<18QM@19S%B@$;9$5ROAYQCV@)VS$(&?2*UXSA`S>+WU*S,\GX@4)>CK"DP8 
MO125VRM`8%&<<ZR.-(!E(.3X^'@7)DI-=RL5O>"6E^6%O%@4,5.5[_=1>[C^ 
M:Q2AV4^J8]W^S]`]W[WUWZY:=K[^OP1]TPJ?[[E^6'I8_X@!^;35_PW]GVVN 
M^C^SMK.CZ]^PC+S^7X)TAY?9@)`U#9E5-O%'MV'O9G':,"91P+&E:SW2RH'U 
MMH*?SDH\"T.XO@:5S-C7YCW*_[T#](-3MOX#+'V.^]*GUK&N_DW#OCW_LTTS 
M[?],*Z__EZ!.JP8_:Q`\7N:_0`.J_FLSL*SZ:V;8IL5PC::T7J-&P&R+57V: 
ME^A_F++UWZ%G3'=B3ZUC[?E/M7Y;_]7T^U_5K_+Z?P':A"Z;@^[');8`8;CL 
MW2&Z@8)NRG<+V0W")K2HNNG^6;!;*'3H);PN@87[.!P\GH@(7Q8\Q48T!L^? 
M1#Q0\$:FSV6Y?'ZGYDRJ<L#>DDV<M'60,+;GM;;PB>@3WVZSXS0*&6R2S#EP 
MHY`N3V2_.7#>]_JNXS4*JYY%@MY(D$[3&SC]H><.].#65>9YZ/6.^OO.0:__ 
MWEF0ENMEE-U;`[>N,CH7Q#D9])O[@Z%W='#2**1;H-6K7K?]1Z.P";&(&4'= 
M;G>`OTZ_4?B"UX3TC[K#EG/H=%NI?>W>?K.]U_2<Q9IC]-VE55[+[2^63)\# 
M$1%RY#E#?7#?*)CEZJ^DVQON';GM5J-PR20A@<"^/A[Q\2QANP3U>4YK`=L, 
M7LGKN\/X:Y2=WBZNQZ_@3U*`)=WR98_BK^^'Y_$9F7\E(/_MTP/NK:L#M^TL 
M7;K_SR=XBX/'_=\>#J4>\1@K-PS1GW>8X)0';CUX)(PIG]OU!LUV>]AJ#IJ: 
M?:@!D(K?NEIA8;%UE4WV0INZ+D?WA'O[??=PL'C<]AMI*SOU_KM,2/GFC`[> 
@G,J@K,NQ')V]S;^L.>644TXYY933,]#?4RMVV@`H```` 
` 
end
Comment 3 Erwin Lansing freebsd_committer 2004-10-31 14:48:23 UTC
Class Changed
From-To: maintainer-update->change-request

New port so change to change-request and put back in the pool after 2 years 


Comment 4 Erwin Lansing freebsd_committer 2004-10-31 14:48:23 UTC
Responsible Changed
From-To: znerd->freebsd-ports-bugs

New port so change to change-request and put back in the pool after 2 years
Comment 5 Thierry Thomas freebsd_committer 2004-12-13 16:14:14 UTC
State Changed
From-To: open->feedback


Sorry for the delay! 

In the meantime, the latest release is iSQL-Viewer 2.1.8 and it 
depends of JDK-1.4. Could you please update this PR? 



Comment 6 Thierry Thomas freebsd_committer 2004-12-13 16:14:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


Take it.
Comment 7 flz 2005-06-06 14:29:15 UTC
     It seems that the submitter stays silent.

     I guess you can close it, he might has
     lost interest in maintaining this port.

-- 
Florent Thoumie
flz@xbsd.org
Comment 8 stefan.schmidt 2005-06-09 20:57:48 UTC
>      It seems that the submitter stays silent.
> 
>      I guess you can close it, he might has
>      lost interest in maintaining this port.

Sorry for the delay.
I'll send an update to this port until end of next week.

Stefan
Comment 9 Thierry Thomas freebsd_committer 2005-06-19 22:57:27 UTC
On Sun 19 jun 05 at 19:26:51 +0200, Stefan Schmidt <stefan.schmidt@stadtbuch.de>
 wrote:

> Hello Thierry,

Hello Stefan,

> please see attached file (isql-viewer.tar.gz) for the updated port of
> iSQL-Viewer (now version 2.1.8 and depending and depending on Java 1.4
> +).

Firstly I have some minor remarks (see my attached diff):

- add a dependence towards java/javavmwrapper since your sh uses it;

- usually FreeBSD ports don't install versioned jar files;

- replace pkg-plist by PLIST_FILES.

Then the interesting stuff:

- according to <http://isql.sourceforge.net/install.html>, iSQL-Viewer
requires some dependences: textproc/xerces-j, base64codec.jar, BSF and
optionnally jython;

- if I launch iSQL-Viewer with the installed script (which uses -jar),
I cannot find my installed JDBC drivers, and they cannot be added
dynamically to the runtime classpath using the advanced portion of the
preferences editor;

- if I don't use -jar but the classpath, e.g. with the following line

#v+
JAVA_VERSION=1.4+ java -classpath "/usr/local/share/java/classes/iSQL-Viewer.jar:/usr/local/share/java/classes/ojdbc14.jar:/usr/local/share/java/classes/mysql-connector-java.jar" org.isqlviewer.core.Launcher
#v-

everything works fine.

Truly yours,
-- 
Th. Thomas.
Comment 10 Thierry Thomas freebsd_committer 2005-06-20 21:59:44 UTC
On Mon 20 jun 05 at 22:22:39 +0200, Stefan Schmidt <stefan.schmidt@stadtbuch.de>
 wrote:
> Hello Thierry,

Hallo,

> thanks for your feedback. I really appreciate it.
> 
> > - add a dependence towards java/javavmwrapper since your sh uses it;
> > - usually FreeBSD ports don't install versioned jar files;
> > - replace pkg-plist by PLIST_FILES.
> 
> very good points.
> 
> > - according to <http://isql.sourceforge.net/install.html>, iSQL-Viewer
> > requires some dependences: textproc/xerces-j, base64codec.jar, BSF and
> > optionnally jython;
> 
> I'll have a look at this. It wouldn't make much sense yet to add this
> port while not having all its features (the script manager) working as
> expected.
> 
> - BSF, jython are needed for the script manager.
> - AFAIK, Xerces is not needed when using JRE 1.4+.
>   (starting with version 1.4 a XML parser is bundled with the JRE)
> - the classes contained in base64codec.jar have been integrated into
>   iSQL-Viewer (2.1.7+). So this JAR file is no longer needed, too.
> (http://cvs.sourceforge.net/viewcvs.py/isql/isql-core/src/org/isqlviewer/util/)

OK.

> > - if I launch iSQL-Viewer with the installed script (which uses -jar),
> > I cannot find my installed JDBC drivers, and they cannot be added
> > dynamically to the runtime classpath using the advanced portion of the
> > preferences editor;
> > 
> > - if I don't use -jar but the classpath, e.g. with the following line
> > 
> > #v+
> > JAVA_VERSION=1.4+ java -classpath "/usr/local/share/java/classes/iSQL-Viewer.jar:/usr/local/share/java/classes/ojdbc14.jar:/usr/local/share/java/classes/mysql-connector-java.jar" org.isqlviewer.core.Launcher
> > #v-
> > 
> > everything works fine.
> 
> Dynamically adding a JDBC driver works for me.
> 
> I was thinking about adding various JDBC drivers to the classpath just
> as you did in your test case. But then, as hard-coding a list of
> JDBC-driver JAR-files is not an option, we'd have to scan JAVAJARDIR and
> add every single JAR-file to the classpath. 
> But this approach has some serious problems, too. First, not every JAR
> file contains a JDBC driver. Second, some JDBC drivers are available in
> different versions (e.g. Oracle 8i, 9i (, 10g)), but the name of the
> driver class is the same across all versions. So we'd only be able to
> use the version that happens to be the first in the classpath.

I do that in the port devel/ireport: mysql-connector-java and postgresql
are selected by default, and pracle-jdbc's optionnally. Actually if you
have the driver for Oracle-9i you don't need the driver for 8i: you can
connect to 8i databases.

> Anyway, I use the following procedure to connect to my PostgreSQL
> server:
> 
> 0. (Before running iSQL-Viewer you might want to cleanup any 
>    previously saved settings removing ~/.iSQL-Viewer and
>    ~/.java/.userPrefs/org/isqlviewer.)
>    Run iSQL-Viewer.

I missed this step.

>    ==> main window appears.
> 
> 1. When starting iSQL-Viewer for the first time, you'll be 
>    automatically prompted whether to create a new service or 
>    to "re-detect" your services.
>    Choose "Yes" to create a new service.
> 
>    If there's already an iSQL service configured, then this prompt
>    doesn't appear. In this case click "Configure iSQL
>    Services." (leftmost toolbar button).
> 
>    ==> modal dialog box for managing "iSQL Services" appears.
> 
> 2. Click "Create a new iSQL Service."
> 
>    ==> modal dialog box for choosing the "iSQL Service type"
>        appears.
> 
> 3. Choose option "Local Service" and click "Ok".
> 
>    ==> modal dialog box closes and new (empty) service has
>        been added (Connection name consists of 16 hexadecimal digits,
>        change this something readable.)
> 
> 4. Switch to the tabbed dialog "Resources" and add the full pathname of
>    postgresql.jar (/usr/local/share/java/classes/postgresql.jar).
> 
>    ==>
>    (see attached screenshot iSQL-Viewer-service-manager-resources.png)
> 
> 5. Switch to the tabbed dialog "General".
> 
>    The "JDBC driver" combobox now contains the selectable entry
>    "org.postgresql.Driver". Select this.
>    
>    My "JDBC URL" is "jdbc:postgresql://localhost/test".
> 
> 6. Click on "Test".
> 
>    The authentication dialog prompts for a database login/password.
> 
>    ==> "Service (...) was initialized successfully."
> 
> 7. "Save/Apply", "Ok"
> 
>    ==> The "Service" menu now lists the newly created service.
> 
> Hope this works for you, too.

Yes, fine! I had not tested this method, but only the preferences
editor.

> NB: using the preference editor for adding JDBC drivers to the classpath
> doesn't work for me, too. It always forgets my classpath settings. I
> guess that this has to be a bug.

You should add this in pkg-message, or as the maintainer you will have
to support a lot of questions ;-)

> Now I'm going to have a more detailed look at the script manager (BSF,
> jython) and how to integrate it in the port. I'll send an update until
> Wednesday.

OK. Thanks for your feedback.

Regards,
-- 
Th. Thomas.
Comment 11 Thierry Thomas freebsd_committer 2005-06-23 21:42:11 UTC
State Changed
From-To: feedback->closed


New port finally added, thanks!